<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Exercise</title>
</head>

<body>
    <h1>Please Fill the Form</h1>
    <form action="https://frogaccelerator.com/submit-app/" method="POST" enctype="multipart/form-data">

        <label for="firstName">Eesnimi:</label>
        <input type="text" name="firstName" id="firstName" required minlength="3" maxlength="25">

        <br><br>

        <label for="lastName">Perenimi:</label>
        <input type="text" name="lastName" id="lastName" required minlength="3" maxlength="25">

        <br><br>

        <label for="gender">Sugu:</label>
        <select name="gender" id="gender" required>
            <option value=""></option>
            <option value="M">Mees</option>
            <option value="F">Naine</option>
        </select>

        <br><br>

        <label for="dateOfBirth">Sünniaeg:</label>
        <input type="date" name="dateOfBirth" id="dateOfBirth" required>

        <br><br>

        Perekonnaseis:<br>
        <input type="radio" name="maritalStatus" value="single" id="maritalStatusSingle" required> 
        <label for="maritalStatusSingle">Vallaline</label><br>
        
        <input type="radio" name="maritalStatus" value="married" id="maritalStatusMarried">
        <label for="maritalStatusMarried">Abielus</label><br>

        <input type="radio" name="maritalStatus" value="committed" id="maritalStatusCommitted">
        <label for="maritalStatusCommitted">Vabaabielus</label><br>

        <br><br>

        <label for="email">E-post:</label>
        <input type="email" name="email" id="email" required>

        <br><br>

        <label for="password">Parool:</label>
        <input type="password" name="password" id="password" required>

        <br><br>

        Hobid:<br>
        <input type="checkbox" name="hobbies[]" value="running" id="hobbiesRunning"> 
        <label for="hobbiesRunning">Jooksmine</label><br>
        
        <input type="checkbox" name="hobbies[]" value="cycling" id="hobbiesCycling">
        <label for="hobbiesCycling">Jalgrattasõit</label><br>

        <input type="checkbox" name="hobbies[]" value="swimming" id="hobbiesSwimming">
        <label for="hobbiesSwimming">Ujumine</label><br>

        <br><br>

        <label for="numberOfVisitedCountries">Külastatud riikide arv:</label>
        <input type="number" name="numberOfVisitedCountries" id="numberOfVisitedCountries"
            required min="1" max="200" pattern="[0-9]{3}">

        <br><br>

        <label for="photo">Foto:</label>
        <input type="file" name="photo" id="photo" required>

        <br><br><br>
        <button type="submit">Saada andmed</button>
    </form>
</body>

</html>